cURL
curl --request POST \ --url https://api.sinancode.com/v1/generate/k/grok-text-to-image \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "prompt": "A beautiful sunset over the ocean", "aspect_ratio": "" } '
{ "task_id": "01234567-89ab-cdef-0123-456789abcdef" }
使用 xAI Grok 模型从文本生成图片(异步)
Documentation IndexFetch the complete documentation index at: https://docs.sinancode.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.sinancode.com/llms.txt
Use this file to discover all available pages before exploring further.
请使用您的 API Token 进行认证
任务参数
提示词(必填)
1 - 5000
"A beautiful sunset over the ocean"
宽高比(可选)
2:3
3:2
1:1
""
OK
Task ID
"01234567-89ab-cdef-0123-456789abcdef"